<< ifht | FOSSEE_Signal_Processing_Toolbox | impz >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > iirlp2mb

# iirlp2mb

IIR Low Pass Filter to Multiband Filter Transformation

### Syntax

    [Num,Den,AllpassNum,AllpassDen] = iirlp2mb(B,A,Wo,Wt)
    [Num,Den,AllpassNum,AllpassDen] = iirlp2mb(B,A,Wo,Wt,Pass)

### Parameters

Num,Den:

  numerator,denominator of the transformed filter

AllpassNum,AllpassDen:

  numerator,denominator of allpass transform,

B,A:

  numerator,denominator of prototype low pass filter

Wo:

  normalized_angular_frequency/pi to be transformed

Wt:

  [phi=normalized_angular_frequencies]/pi target vector

Pass:

  This parameter may have values 'pass' or 'stop'. If

### Description

With normalized ang. freq. targets 0 < phi(1) < ... < phi(n) < pi radians

for Pass == 'pass', the target multiband magnitude will be: -------- ---------- -----------... / \ / \ / . 0 phi(1) phi(2) phi(3) phi(4) phi(5) (phi(6)) pi

for Pass == 'stop', the target multiband magnitude will be: ------- --------- ----------... \ / \ / . 0 phi(1) phi(2) phi(3) phi(4) (phi(5)) pi

### Examples

    [B, A] = butter(6, 0.5)
    [Num, Den] = iirlp2mb(B, A, 0.5, [.2 .4 .6 .8])

Report an issue
<< ifht | FOSSEE_Signal_Processing_Toolbox | impz >>